1. Appointments
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Files
      • List files
      • File tags
      • Files
      • Files
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunity tags
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
    • Forms
      • List forms
  • Schedule & dispatch
    • Appointments
      • List Appointments
        GET
      • Appointments
        GET
      • Appointments feedbacks
        GET
      • Appointments
        POST
      • Appointments
        DELETE
    • Sugested Appointments
      • Suggested Appointments
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Appointments

Appointments

GET
/appointments/{appointmentID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appointments/73' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "parentType": "opportunity",
    "parentID": 0,
    "date": "2019-08-24",
    "hasTime": true,
    "timeSlot": "am",
    "startTime": "14:15:22.123Z",
    "endTime": "14:15:22.123Z",
    "serviceWindow": "string",
    "description": "string",
    "notes": "string",
    "assigneeUserID": 0,
    "assigneeUserName": "string",
    "lockStatus": "no_lock",
    "isRecurringEvent": true,
    "location": {
        "address": "string",
        "longditude": "string",
        "latitude": "string"
    },
    "currentStatus": "accept",
    "statusHistory": [
        {
            "dateTime": "2019-08-24T14:15:22.123Z",
            "dateTimeOrigin": "default",
            "status": "accept",
            "longditude": "string",
            "latitude": "string",
            "accuracy": "string",
            "feedback": "string",
            "photoURL": "string",
            "signatureName": "string",
            "signatureURL": "string"
        }
    ],
    "links": {
        "property": "string",
        "estimate": "string",
        "opportunity": "string",
        "job": "string",
        "arriveFeedback": "string",
        "onsiteTasks": "string",
        "jobReportFeedback": "string"
    }
}
Modified at 2026-10-30 07:25:25
Previous
List Appointments
Next
Appointments feedbacks
Built with